org.eclipse.jetty.util.log

## Interface Logger

All Known Implementing Classes:
  AbstractLogger, JavaUtilLog, LoggerLog, Slf4jLog, StdErrLog

    public interface Logger

A simple logging facade that is intended simply to capture the style of logging as used by Jetty.

### Method Summary

Methods
`void` `debug(String msg, Object... args)` Formats and logs at debug level.
`void` `debug(String msg, Throwable thrown)` Logs the given message at debug level, with Throwable information.
`void` `debug(Throwable thrown)` Logs the given Throwable information at debug level
`Logger` `getLogger(String name)`
`String` `getName()`
`void` `ignore(Throwable ignored)` Ignore an exception.
`void` `info(String msg, Object... args)` Formats and logs at info level.
`void` `info(String msg, Throwable thrown)` Logs the given message at info level, with Throwable information.
`void` `info(Throwable thrown)` Logs the given Throwable information at info level
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programmatically.
`void` `warn(String msg, Object... args)` Formats and logs at warn level.
`void` `warn(String msg, Throwable thrown)` Logs the given message at warn level, with Throwable information.
`void` `warn(Throwable thrown)` Logs the given Throwable information at warn level

### Method Detail

#### getName

    String getName()

Returns:
  the name of this logger

#### warn

    void warn(String msg,
            Object... args)

Formats and logs at warn level.

Parameters:
  `msg` - the formatting string
  `args` - the optional arguments

#### warn

    void warn(Throwable thrown)

Logs the given Throwable information at warn level

Parameters:
  `thrown` - the Throwable to log

#### warn

    void warn(String msg,
            Throwable thrown)

Logs the given message at warn level, with Throwable information.

Parameters:
  `msg` - the message to log
  `thrown` - the Throwable to log

#### info

    void info(String msg,
            Object... args)

Formats and logs at info level.

Parameters:
  `msg` - the formatting string
  `args` - the optional arguments

#### info

    void info(Throwable thrown)

Logs the given Throwable information at info level

Parameters:
  `thrown` - the Throwable to log

#### info

    void info(String msg,
            Throwable thrown)

Logs the given message at info level, with Throwable information.

Parameters:
  `msg` - the message to log
  `thrown` - the Throwable to log

#### isDebugEnabled

    boolean isDebugEnabled()

Returns:
  whether the debug level is enabled

#### setDebugEnabled

    void setDebugEnabled(boolean enabled)

Mutator used to turn debug on programmatically.

Parameters:
  `enabled` - whether to enable the debug level

#### debug

    void debug(String msg,
             Object... args)

Formats and logs at debug level.

Parameters:
  `msg` - the formatting string
  `args` - the optional arguments

#### debug

    void debug(Throwable thrown)

Logs the given Throwable information at debug level

Parameters:
  `thrown` - the Throwable to log

#### debug

    void debug(String msg,
             Throwable thrown)

Logs the given message at debug level, with Throwable information.

Parameters:
  `msg` - the message to log
  `thrown` - the Throwable to log

#### getLogger

    Logger getLogger(String name)

Parameters:
  `name` - the name of the logger
Returns:
  a logger with the given name

#### ignore

    void ignore(Throwable ignored)

Ignore an exception.

This should be used rather than an empty catch block.